Index: /extensions/UserAdvManager/branches/2.50/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/admin/UAM_admin.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/admin/UAM_admin.php	(revision 24213)
@@ -110,5 +110,5 @@
   case 'global':
 
-  if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_PwdReset']) and isset($_POST['UAM_RejectConnexion']))
+  if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_PwdReset']) and isset($_POST['UAM_RejectConnexion']) and isset($_POST['UAM_AddURL2Mail']))
   {
 
@@ -263,4 +263,5 @@
     $newconf_UAM['GTREMINDER_SUBJECT'] = (isset($_POST['UAM_GTReminder_Subject']) ? $_POST['UAM_GTReminder_Subject'] : l10n('UAM_Default_GTReminder_Subject'));
     $newconf_UAM['ADMINVALIDATIONMAIL_SUBJECT'] = (isset($_POST['UAM_AdminValidationMail_Subject']) ? $_POST['UAM_AdminValidationMail_Subject'] : l10n('UAM_Default_AdminValidationMail_Subject'));
+    $newconf_UAM['ADD_GALLERY_URL_TO_EMAILS'] = (isset($_POST['UAM_AddURL2Mail']) ? $_POST['UAM_AddURL2Mail'] : 'false');
 
     $conf['UserAdvManager'] = serialize($newconf_UAM);
@@ -670,4 +671,6 @@
             'UAM_GTREMINDER_SUBJECT'            => $conf_UAM['GTREMINDER_SUBJECT'],
             'UAM_ADMINVALIDATIONMAIL_SUBJECT'   => $conf_UAM['ADMINVALIDATIONMAIL_SUBJECT'],
+            'UAM_ADDURL2MAIL_TRUE'              => $conf_UAM['ADD_GALLERY_URL_TO_EMAILS']=='true' ? 'checked="checked"' : '' ,
+            'UAM_ADDURL2MAIL_FALSE'             => $conf_UAM['ADD_GALLERY_URL_TO_EMAILS']=='false' ? 'checked="checked"' : '' ,
 						'UAM_PASSWORD_TEST_SCORE'           => $UAM_Password_Test_Score,
             'UAM_ERROR_REPORTS1'                => $UAM_Exclusionlist_Error,
Index: /extensions/UserAdvManager/branches/2.50/admin/template/global.tpl
===================================================================
--- /extensions/UserAdvManager/branches/2.50/admin/template/global.tpl	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/admin/template/global.tpl	(revision 24213)
@@ -316,5 +316,4 @@
                   {'UAM_Enable'|@translate}
                 </label>
-              
               </li>
             </ul>
@@ -418,5 +417,6 @@
           <a id="show_UAM_Change" >{'UAM_Change'|translate}</a>
           <a id="hide_UAM_Change" style="display: none">{'hide details'|translate}</a>
-          <ul id="UAM_Change" style="display: none">
+          <fieldset id="UAM_Change" style="display: none">
+          <ul>
             <div id="uam_notice">{'UAM_Confirm_grpstat_notice'|@translate}</div>
               <br/>
@@ -491,4 +491,5 @@
               </ul>
             </ul>
+            </fieldset>
           <br/><hr/><br/>
             <ul>
@@ -515,5 +516,6 @@
             <a id="show_UAM_ConfirmMail" >{'UAM_Customize_messagesandmails'|translate}</a>
             <a id="hide_UAM_ConfirmMail" style="display: none">{'hide details'|translate}</a>
-              <ul id="UAM_ConfirmMail" style="display: none">
+            <fieldset id="UAM_ConfirmMail" style="display: none">
+              <ul>
                 <li>
                   <label class="cluetip" title="{'UAM_ConfirmMail_ReMail_Subject'|translate}|{'UAM_ConfirmMail_ReMail_Subject_d'|translate}">
@@ -561,4 +563,5 @@
                 </ul>
               </ul>
+            </fieldset>
             </ul>
           <fieldset id="UAM_ConfirmMail_field" {if $UAM_CONFIRMMAIL_TIMEOUT_FALSE and $UAM_CONFIRMMAIL_REMAIL_FALSE}style="display:none"{/if}>
@@ -633,5 +636,6 @@
           <a id="show_UAM_GTReminder" >{'UAM_Customize_messagesandmails'|translate}</a>
           <a id="hide_UAM_GTReminder" style="display: none">{'hide details'|translate}</a>
-          <ul id="UAM_GTReminder" style="display: none">
+          <fieldset id="UAM_GTReminder" style="display: none">
+          <ul>
             <li>
               <label class="cluetip" title="{'UAM_GTReminder_Subject'|translate}|{'UAM_GTReminder_Subject_d'|translate}">
@@ -659,4 +663,5 @@
   
           </ul>
+          </fieldset>
           <br><hr><br>
           <ul>
@@ -788,8 +793,20 @@
               {'UAM_Enable'|@translate}
             </label>
-          
           </li>
+
+            <li>
+              <label class="cluetip" title="{'UAM_AddURL2Mail'|translate}|{'UAM_AddURL2Mail_d'|translate}">
+                {'UAM_AddURL2Mail'|@translate}
+              </label>
+              <label for="UAM_AddURL2Mail_false"><input id="UAM_AddURL2Mail_false" value="false" {$UAM_ADDURL2MAIL_FALSE} name="UAM_AddURL2Mail" type="radio"/>
+                {'UAM_Disable'|@translate}
+              </label>
+              <label for="UAM_AddURL2Mail_true"><input id="UAM_AddURL2Mail_true" value="true" {$UAM_ADDURL2MAIL_TRUE} name="UAM_AddURL2Mail" type="radio"/>
+                {'UAM_Enable'|@translate}
+              </label>
+            </li>
+
         </ul>
-        <fieldset id="UAM_MAIL_INFO" {if $UAM_MAIL_INFO_FALSE}style="display:none"{/if}>
+        <fieldset id="UAM_MAIL_INFO" {if $UAM_MAIL_INFO_FALSE} style="display:none"{/if}>
           <ul>
             <li>
@@ -856,5 +873,4 @@
               {'UAM_Enable'|@translate}
             </label>
-          
           </li>
 
Index: /extensions/UserAdvManager/branches/2.50/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/changelog.txt.php	(revision 24213)
@@ -438,4 +438,10 @@
              Update de_DE, thanks to : Yogie
              Update ru_RU, thanks to : Konve
+
+-- 2.50.11 : Evolution 2951 fixed - Add an option to add the gallery URL at the end of emails sent by UAM
+             Update ru_RU, thanks to : Konve
+             Update lv_LV, thanks to : agrisans
+             Add pt_PT, thanks to : ANO
+
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.50/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/include/functions.inc.php	(revision 24213)
@@ -1374,8 +1374,28 @@
 	elseif ((isset($conf_UAM['CONFIRM_MAIL']) and $conf_UAM['CONFIRM_MAIL'] == 'true') and $confirm)
 	{
-    pwg_mail($email, array(
-      'subject' => $subject,
-    	'content' => (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
-    ));
+	  // Adding gallery URL at the end of the email
+    if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
+    {
+      pwg_mail($email, array(
+        'subject' => $subject,
+    	 'content' => (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
+      ));
+    }
+    // Do not add gallery URL at the end of the email
+    elseif (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'false')
+    {
+      pwg_mail($email, array(
+        'subject' => $subject,
+    	 'content' => (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : ""),
+      ));
+    }
+    // By default do not add gallery URL at the end of the email
+    else
+    {
+      pwg_mail($email, array(
+        'subject' => $subject,
+    	 'content' => (isset($infos1) ? $infos1_perso.l10n_args($infos1)."\n\n" : "").(isset($infos2) ? $infos2_perso.l10n_args($infos2)."\n\n" : ""),
+      ));
+    }
 	}
 // Switching back to default language
@@ -1597,13 +1617,34 @@
     break;
 	}
-  
-  pwg_mail($email, array(
-    'subject' => $subject,
-    'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
-  ));
-
-		// Switching back to default language
-		// ----------------------------------
-		switch_lang_back();
+
+  // Adding gallery URL at the end of the email
+  if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
+  {
+    UAMLog(get_absolute_root_url(),'','','');
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : "").get_absolute_root_url(),
+    ));
+  }
+  // Do not add gallery URL at the end of the email
+  elseif (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'false')
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : ""),
+    ));
+  }
+  // By default do not add gallery URL at the end of the email
+  else
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($infos1."\n\n").(isset($infos2) ? l10n_args($infos2)."\n\n" : ""),
+    ));
+  }
+
+  // Switching back to default language
+	// ----------------------------------
+	switch_lang_back();
 }
 
@@ -1681,12 +1722,32 @@
   }
 
-  pwg_mail($email, array(
-    'subject' => $subject,
-    'content' => $infos1.get_absolute_root_url(),
-  ));
-
-		// Switching back to default language
-		// ----------------------------------
-		switch_lang_back();
+  // Adding gallery URL at the end of the email
+  if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => $infos1.get_absolute_root_url(),
+    ));
+  }
+  // Do not add gallery URL at the end of the email
+  elseif (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'false')
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => $infos1,
+    ));
+  }
+  // By default do not add gallery URL at the end of the email
+  else
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => $infos1,
+    ));
+  }
+
+  // Switching back to default language
+	// ----------------------------------
+	switch_lang_back();
 }
 
@@ -1787,8 +1848,28 @@
 // Sending the email with subject and contents
 // -------------------------------------------
-  pwg_mail($email, array(
-    'subject' => $subject,
-    'content' => ($custom_txt.l10n_args($infos1)."\n\n".l10n_args($infos2)."\n\n").get_absolute_root_url(),
-  ));
+  // Adding gallery URL at the end of the email
+  if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($custom_txt.l10n_args($infos1)."\n\n".l10n_args($infos2)."\n\n").get_absolute_root_url(),
+    ));
+  }
+  // Do not add gallery URL at the end of the email
+  elseif (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'false')
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($custom_txt.l10n_args($infos1)."\n\n".l10n_args($infos2)."\n\n"),
+    ));
+  }
+  // By default do not add gallery URL at the end of the email
+  else
+  {
+    pwg_mail($email, array(
+      'subject' => $subject,
+      'content' => ($custom_txt.l10n_args($infos1)."\n\n".l10n_args($infos2)."\n\n"),
+    ));
+  }
 
 		// Switching back to default language
@@ -1894,12 +1975,32 @@
 // Sending the email with subject and contents
 // -------------------------------------------
-  pwg_mail($result['mail_address'], array(
-    'subject' => $subject,
-    'content' => (l10n_args($infos)."\n\n".$custom_txt),
-  ));
-
-		// Switching back to default language
-		// ----------------------------------
-		switch_lang_back();
+  // Adding gallery URL at the end of the email
+  if (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'true')
+  {
+    pwg_mail($result['mail_address'], array(
+      'subject' => $subject,
+      'content' => (l10n_args($infos)."\n\n".$custom_txt).get_absolute_root_url(),
+    ));
+  }
+  // Do not add gallery URL at the end of the email
+  elseif (isset($conf_UAM['ADD_GALLERY_URL_TO_EMAILS']) and $conf_UAM['ADD_GALLERY_URL_TO_EMAILS'] == 'false')
+  {
+    pwg_mail($result['mail_address'], array(
+      'subject' => $subject,
+      'content' => (l10n_args($infos)."\n\n".$custom_txt),
+    ));
+  }
+  // By defaukt do not add gallery URL at the end of the email
+  else
+  {
+    pwg_mail($result['mail_address'], array(
+      'subject' => $subject,
+      'content' => (l10n_args($infos)."\n\n".$custom_txt),
+    ));
+  }
+
+  // Switching back to default language
+	// ----------------------------------
+	switch_lang_back();
 }
 
Index: /extensions/UserAdvManager/branches/2.50/include/upgradedb.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/include/upgradedb.inc.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/include/upgradedb.inc.php	(revision 24213)
@@ -805,3 +805,32 @@
   conf_update_param('UserAdvManager_ConfirmMail', pwg_db_real_escape_string($update_conf));
 }
+
+
+/* upgrade from 2.50.x to 2.50.11 */
+/* ***************************** */
+function upgrade_2500_25011()
+{
+  global $conf;
+  
+  load_language('plugin.lang', UAM_PATH);
+
+  // Upgrading options
+  // -----------------
+  $query = '
+SELECT value
+  FROM '.CONFIG_TABLE.'
+WHERE param = "UserAdvManager"
+;';
+
+  $result = pwg_query($query);
+  $conf_UAM = pwg_db_fetch_assoc($result);
+    
+  $Newconf_UAM = unserialize($conf_UAM['value']);
+
+  $Newconf_UAM['ADD_GALLERY_URL_TO_EMAILS'] = 'false';
+
+  $update_conf = serialize($Newconf_UAM);
+
+  conf_update_param('UserAdvManager', pwg_db_real_escape_string($update_conf));
+}
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/en_UK/help.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/en_UK/help.lang.php	(revision 24213)
@@ -349,3 +349,5 @@
 ';
 // --------- End: New or revised $lang ---- from version 2.40
+
+$lang['UAM_AddURL2Mail_d'] = 'Enabling this option will add the URL of your gallery at the end of emails generated by the plugin, like a signature.';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/en_UK/plugin.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/en_UK/plugin.lang.php	(revision 24213)
@@ -428,3 +428,5 @@
 $lang['UAM_group "%s" updated'] = 'For best performance, the group %s was automatically set as the default group.';
 $lang['personal_content'] = 'Content';
+
+$lang['UAM_AddURL2Mail'] = 'Add the URL of the gallery at the end of emails (like a signature)';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/fr_FR/help.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/fr_FR/help.lang.php	(revision 24213)
@@ -343,3 +343,5 @@
 ';
 // --------- End: New or revised $lang ---- from version 2.40
+
+$lang['UAM_AddURL2Mail_d'] = 'L\'activation de cette option ajoutera l\'URL de votre galerie à la fin des emails générés par le plugin, à la manière d\'une signature.';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/fr_FR/plugin.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/fr_FR/plugin.lang.php	(revision 24213)
@@ -429,3 +429,5 @@
 $lang['UAM_group "%s" updated'] = 'Pour un meilleur fonctionnement, le groupe %s a été automatiquement positionné comme groupe par défault.';
 $lang['personal_content'] = 'Contenu';
+
+$lang['UAM_AddURL2Mail'] = 'Ajouter l\'URL de la galerie à la fin des emails (comme une signature)';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/lv_LV/plugin.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/lv_LV/plugin.lang.php	(revision 24213)
@@ -386,3 +386,4 @@
 $lang['UAM_Customize_messagesandmails'] = 'Pielāgojiet ziņojumus un pastu';
 $lang['UAM_group "%s" updated'] = 'Labākam sniegumam, grupa %s automātiski tika iestatīta kā noklusējuma grupa.';
+$lang['personal_content'] = 'Saturs';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/pt_PT/description.txt
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_PT/description.txt	(revision 24213)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_PT/description.txt	(revision 24213)
@@ -0,0 +1,1 @@
+Reforço das possibilidades de gerenciamento de utilizadores
Index: /extensions/UserAdvManager/branches/2.50/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/pt_PT/plugin.lang.php	(revision 24213)
+++ /extensions/UserAdvManager/branches/2.50/language/pt_PT/plugin.lang.php	(revision 24213)
@@ -0,0 +1,155 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['UAM_LastVisit_Date'] = 'Última visita';
+$lang['UAM_Manual_Validation'] = 'Confirmação manual';
+$lang['UAM_reg_err_login5'] = 'O seu provedor de e-mail está banido para inscrição. Os provedores de email banidos são:';
+$lang['UAM_reg_err_login2'] = 'Nome de utilizador não tem que coincidir com os seguintes caracteres:';
+$lang['UAM_reg_err_login3'] = 'Segurança: A senha é obrigatória';
+$lang['UAM_save_config'] = 'Configuração salva';
+$lang['UAM_submit'] = 'Submeter definições';
+$lang['personal_content'] = 'Conteúdo';
+$lang['UAM_Save'] = 'Executar o backup';
+$lang['UAM_ScoreTest'] = 'Resultado:';
+$lang['UAM_Stuffs_Title'] = 'Bloco UAM';
+$lang['UAM_SubTitle1'] = 'Configuração da extensão';
+$lang['UAM_Tab_Global'] = 'Configuração';
+$lang['UAM_Title5'] = 'Opções diversas';
+$lang['UAM_Restore'] = 'Para restaurar o arquivo de backup da sua configuração. Apenas o arquivo salvo no servidor é tido em conta.
+<br><br>
+<b style="color:red;"> Lembre-se da versão de backup!<br>Um backup feito com determinada versão de extenção só pode ser  restaurado com a mesma versão da extensão utilizada. </ b>';
+$lang['UAM_Tips1_txt'] = '
+<ul>
+<li>
+Objetivos: Informar o visitante que o registo está aguardando a aprovação mostrando um bloco personalizado na página inicial da galeria. Isto não é aprovação do registo.
+            <br><br>
+            <b> Lembre-se:. Na operação padrão, o "convidado" vê apenas as categorias públicas, sem mensagem de informação</b>
+            </Li><br><br>
+            <li>
+Pré-requisito:<br>
+- Uma galeria com todas ou algumas categorias privadas, visível somente a utilizadores registados <br>
+- Pelo menos dois seguintes grupos de utilizadores Piwigo: "Em espera", sem permissão nas categorias privadas, e "Confirmado", com todas as permissões nas categorias privadas<br>
+- Extensão UAM<br>
+- Extensão PWG Stuffs, para adicionar um módulo especial UAM<br>
+- Opcionalmente, a extensão Descrição Alargada para suporte multi-idiomas<br>
+            </li><br><br>
+            <li>
+Estágios:<br><br>
+A. na extensão UAM:
+              <ol>
+                <li> Habilitar o registro de confirmação </li>
+                <li> Ativar PWG Stuffs módulo opcional </li>
+                <li> Digitar o texto para explicação adicional que será anexada ao e-mail confirmação de inscrição . Se a extensão de Descrição Alargada está ativada, as tags de iioma podem ser usadas </li>
+                <li> Selecione o grupo "Em espera" em "Para os utilizadores que não tenham confirmado a sua inscrição" </li>
+                <li> Selecione o grupo "Confirmado" em "Para os utilizadores que já confirmaram a sua inscrição" </li>
+                <li> Salve a configuração da extensão </li>
+              </ol>
+
+<br>
+B. Na extensão PWG Stuffs:
+              <ol>
+                <li> Vá à aba "Adicionar um novo módulo" </li>
+                <li> Escolha "Módulo UAM"</li>
+                <li> Configure o módulo, indicando o título (por exemplo, "confirmação pendente de Registro") e sua descrição, e apenas sinalizar "Em espera" na lista de grupos permitidos </li>
+                <li> Completar o conteúdo do módulo com as informações da mensagem a ser exibida aos utilizadores não confirmados. Como UAM, idiomas de marcação podem ser usados se a extensão Descrição alargada estiver ativada</li>
+                <li> Sinalize "Mostrar o módulo na página inicial deste site"</li>
+                <li>Validar a configuração do módulo</li>
+                </ol>
+            </li>
+          </ul>
+
+
+
+
+';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erro de consistência na configuração escolhida:
+<br><br>
+"Definir o monitoramento dos utilizadores registados e outras opções> Gestão visitantes fantasma (ghost Tracker)> gestão automática de utilizadores fantasma> que automaticamente enviam um e-mail quando mudam de grupo/status" não pode ser ativada se em "Definir as confirmações de inscrição> Confirmação de registo - Confirmação pelo utilizador "não estiver ativada primeiramente.
+<br><br>
+Para garantir a coerência, a opção "enviar automaticamente um e-mail quando mudar de grupo/status" foi automaticamente reposicionada em "desativada".
+<br>';
+$lang['UAM_mail_exclusion_error'] = 'A opção do Piwigo "O endereço de email é obrigatório para todos os utilizadores", foi desativada enquanto que a extensão "Exclusão de domínios de correio" do UserAdvancedManager (UAM) se mantém ativa. Esta combinação é ilógica e não é compatível! <br>
+Por favor, reative a opção Piwigo "O endereço de e-mail é obrigatório para todos os utilizadores" para poder, em seguida, desativar a opção "Exclusão de domínios de correio" da UAM se é isso que você quer. <br>
+Nota:. Esta mensagem desaparecerá depois de ter feito a respetiva correção e refrescar a página de administração <br>';
+$lang['UAM_reg_err_login4_%s'] = 'Segurança: Um sistema de controle calcula uma pontuação na complexidade das senhas escolhidas. A complexidade da sua senha é muito baixa (escore =%s). Por favor, escolha uma nova senha mais segura, seguindo as seguintes regras:<br>
+- Use letras e números<br>
+- Use maiúsculas e minúsculas<br>
+- Aumentar (número de caracteres) <br>
+A pontuação mínima exigida pelo administrador é de:';
+$lang['UAM_Disable'] = 'Desativar (padrão)';
+$lang['UAM_Enable'] = 'Ativar';
+$lang['UAM_Default_ConfirmMail_Txt'] = 'Olá  [username]!  Obrigado por se registar na [mygallery].
+
+Para concluir o processo e poder navegar através das imagens, agradecemos que, por favor, confirme a sua inscrição clicando no link desta mensagem.';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Desculpe [username], sua conta foi eliminada devido a  um longo período decorrido desde a sua última visita à [mygallery]. Por favor, registe-se novamente.';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Desculpe [username], sua conta foi suspensa devido a um longo período decorrido desde a sua última visita à [mygallery]. Por favor, use o seguinte link para reativar a sua conta:';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Olá  [username].
+
+Este é apenas recordar-lhe que já decorreu um período longo desde a sua última visita à nossa galeria [mygallery]. Se não deseja usar mais a sua conta de acesso, por favor, informe-nos respondendo a este e-mail. Sua conta será eliminada.
+
+Após receber esta mensagem sem que efetue nova visita nonos próximos [days] dias, seremos forçados a eliminar automaticamente a sua conta.
+
+Atenciosamente,
+
+O administrador da galeria [mygallery] - [MyURL]';
+$lang['UAM_Default_InfoMail_Subject'] = '[username] - Informação do seu registo na[mygallery]';
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Desculpe! A sua conta foi eliminada por não ter confirmado a sua inscrição no prazo solicitado ([Kdays] dias). Por favor, tente novamente o registo com uma conta de e-mail válido e não bloqueado.';
+$lang['UAM_Delete_selected'] = 'Apagar';
+$lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Olá [username].
+Esta é uma mensagem de lembrança, porque se registou na nossa galeria [mygallery], mas não confirmou o registo e a chave de confirmação irá expirar. Para lhe permitir acessar a nossa galeria, tem x dias para confirmar sua inscrição clicando no link na mensagem  que deverá ter recebido quando se registou.
+
+Nota: Após este período, a sua conta será excluída definitivamente.';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Ativar. Número de dias até expirar:';
+$lang['UAM_Confirm_Group'] = 'Grupos<br>(deixar------- para não afetar o grupo)';
+$lang['UAM_Confirm_Level'] = 'Nível de privacidade<br>(deixar------- para manter o padrão do Piwigo)';
+$lang['UAM_Confirm_Mail_local'] = 'Ativar - Confirmação pela admin';
+$lang['UAM_Confirm_Mail_true'] = 'Ativar - Confirmação pelo utilizador';
+$lang['UAM_Confirm_Status'] = 'Estatutos<br>(deixar------- para manter o padrão do Piwigo)';
+$lang['UAM_Confirm_grpstat_notice'] = 'Atenção: É aconselhável usar  ou o grupo ou a confirmação do status e não os dois simultaneamente. O nível de privacidade pode ser utilizado em conjunto com um grupo ou status atribuido.';
+$lang['UAM_Default user cannot be pwgreset'] = 'Renovação de senha pode ser definida por defeito para conta de utilizador';
+$lang['UAM_Default_AdminValidationMail_Subject'] = '[username]- Registo validado na [mygallery]';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Olá [username]! Obrigado pelo seu registo e benvindo(a)à [mygallery].
+Sua conta foi confirmada manualmente pelo webmaster da [mygallery]. Agora você pode entrar em [MyURL] e fazer as alterações necessárias ao seu perfile.';
+$lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Conta [username] validada com sucesso!';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Chave de ativação incorreta / expirada ou a conta já foi validada.';
+$lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Olá [username].
+Esta é uma mensagem de lembrança, porque se registou na nossa galeria [mygallery], mas não confirmou o registo e a chave de confirmação já expirou. Ainda lhe é permitido acessar a nossa galeria pois o período de confirmação foi redefinido. Assim, tem novamente x dias para confirmar a sua inscrição.';
+$lang['UAM_Confirm_Mail'] = 'Confirmação de registo';
+$lang['UAM_ConfirmMail_Text'] = 'Personalização do email confirmação';
+$lang['UAM_CustomPasswRetr'] = 'Personalizar email de senha perdida';
+$lang['UAM_Customize_messagesandmails'] = 'Personalizar mensagens e mails';
+$lang['UAM_AdminValidationMail_Text'] = 'Notificação de confirmação manual de registo';
+$lang['UAM_Admins cannot be pwdreset'] = 'Renovação da senha não pode ser definida para conta de administrador';
+$lang['UAM_AdminValidationMail_Subject'] = 'Personalizar validação manual do assunto do email';
+$lang['UAM_AdminConfMail'] = 'Confiemação de registo para administradores';
+$lang['UAM %d user pwdreseted'] = 'Renovação de senha requerida para %d um utilizador';
+$lang['UAM %d users pwdreseted'] = 'Renovação de senha requerida para %d utilizadores';
+$lang['UAM_%d_Mail_With_Key'] = 'Foi enviada %d mensagem com chave renovada';
+$lang['UAM_%d_Mails_With_Key'] = 'Foram enviadas %d mensagens com chave renovada';
+$lang['UAM_%d_Reminder_Sent'] = 'Foi enviada %d mensagem a relembrar';
+$lang['UAM_%d_Reminders_Sent'] = 'Foram enviadas %d mensagens a relembrar';
+$lang['UAM_%d_Validated_User'] = '%d Utilizadoe confirmado manualmente';
+$lang['UAM_%d_Validated_Users'] = ' %d Utilizadores confirmados manualmente';
+$lang['UAM_Add of %s'] = 'Perfile criado para  %s';
+$lang['UAM_AdminPassword_Enforced'] = 'Aplicar aos administradores';
+$lang['UAM_ConfirmMail_Remail'] = 'Lembrar utilizadores não confirmados';
+?>
Index: /extensions/UserAdvManager/branches/2.50/language/ru_RU/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/ru_RU/help.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/ru_RU/help.lang.php	(revision 24213)
@@ -25,3 +25,174 @@
 $lang['UAM_remailtxt1Title'] = 'Напоминающий e-mail с новым сгенерированным ключом';
 $lang['UAM_passwtestTitle'] = 'Проверка надежности пароля';
+$lang['UAM_infomailTitle_d'] = 'Эта функция позволяет автоматически отправлять информационный email пользователю, который поменял свой пароль или эл.адрес на странице своего профиля.<br><br>
+Содержимое сообщения состоит из персонифицированной части, включая небольшое личное приветствие, и стандартной части, содержащей логин пользователя, его пароль и эл.адрес.  ';
+$lang['UAM_confirmTitle_d'] = '- Создание информационного email<br>
+- Создание email о подтверждении регистрации<br>
+- Автоматическое присоединение к группам, статусам или уровням доступа<br>
+- Определение крайнего срока подтверждения регистрации<br>
+- Создание email с напоминанием<br>
+...';
+$lang['UAM_mailexcTitle_d'] = 'По умолчанию в Piwigo принимаются все email-адреса в формате xxx@yyy.zz. Включение этой функции позволит Вам исключить некоторые домены в формате: @[имя_домена].[расширение_домена].<br><br>
+Например:<br>
+@hotmail.com -> включая все адреса домена @hotmail.com<br>
+@hotmail -> включая все адреса, домена @hotmail* с любым расширением<br><br>
+<b style=&quot;color: red;&quot;>Внимание - Эта функция работает только, если включено ограничение "Обязательно наличие email для каждого зарегистрированного пользователя!" Пожалуйста, смотрите настройку функций Piwigo.</b>';
+$lang['UAM_USRAutoMailTitle_d'] = 'При активации этой функции автоматически отправляется персональное сообщение, настроенное в разделе &quot; "Email с напоминанием и новым сгенерированным ключом" &quot; тем посетителям, которые подходят под критерии.';
+$lang['UAM_passwadmTitle_d'] = 'Администратор может создать аккаунт пользователя с учетом и без учета применения правила минимальной расчетной сложности пароля.<br><br>
+Внимание: если пользователь созданного аккаунта хочет сменить пароль, и ограничение стойкости паролей включено, то это правило будет распространяться.';
+$lang['UAM_passwtestTitle_d'] = 'Введите пароль для пробы и нажмите &quot;Вычислить стойкость&quot; увидите результат.';
+$lang['UAM_restricTitle_d'] = '- Запрещенные символы<br>
+- Стойкость пароля<br>
+- Исключения для доменов<br>
+...';
+$lang['UAM_miscTitle_d'] = '- Мониторинг зарегистрированных пользователей<br>
+- Ники обязательны для комментариев гостей<br>
+...';
+$lang['UAM_confirmstatTitle'] = 'Статусы';
+$lang['UAM_confirmlevelTitle'] = 'Уровень доступа';
+$lang['UAM_confirmgrpTitle'] = 'Группы';
+$lang['UAM_GT_MainTitle_d'] = '- Автоматическое или ручное управление пользователями<br>
+- Email-рассылки<br>
+...';
+$lang['UAM_GTAutoDelTitle'] = 'Настройка сообщения удаленному аккаунту';
+$lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>ВНИМАНИЕ: Применение уровней доступа требует, чтобы Вы использовали их для своих изображений. Пожалуйста, перейдите в раздел документации Piwigo для детальной информации.</b><br><br>
+Уровень доступа используется совместно с функцией &quot;Подтверждение регистрации&quot;';
+$lang['UAM_validationlimitTitle_d'] = 'Эта функция позволяет установить длительность ожидания ввода ключа подтверждения, отправляемого в информационном письме вновь зарегистрировавшимся. Пользователи получают Х дней на подтверждение своей регистрации. После установленного срока ссылка, переданная в письме, устаревает.
+<br><br>
+Эта функция работает совместно с функцией &quot;Подтверждение регистрации&quot;
+<br><br>
+Если эта функция и функция &quot;Напоминание неподтвержденным пользователям&quot; активированы, то новые функции в этом же разделе (см.ниже) позволяют включить автоматическое управление неподтвержденными пользователями.';
+$lang['UAM_StuffsTitle_d'] = 'Здесь включается дополнительный модуль (блок) UAM в плагине PWG Stuffs (если он установлен, конечно) для информирования Ваших посетителей, регистрация которых не подтверждена, об их статусе.
+<br><br>
+Нужны детали? Пожалуйста, перейдите в раздел <b>Советы и примеры использования</b> по кнопке на этой странице.';
+$lang['UAM_RedirTitle_d'] = 'Эта функция автоматически перенаправляет зарегистрированного пользователя (только при первом его соединении с галереей) на его страницу настроек.<br><br>
+Учтите: Эта возможность распространяется не на всех зарегистрированных пользователей. Такие аккаунты, как &quot;Администратор&quot;, &quot;Вебмастер&quot; или &quot;общий&quot; статус - исключены.';
+$lang['UAM_HidePasswTitle_d'] = 'Выберите эту возможность, если хотите отобразить пароль, выбранный пользователем, в информационном письме. Если Вы включаете эту функцию, то пароль будет доступен в текстовом формате. Если отключить - пароль не будет отображаться ни у кого.';
+$lang['UAM_adminconfmailTitle_d'] = 'Вы можете отменить это подтверждение, только для тех пользовательских аккаунтов, которые были созданы Администратором через интерфейс управления пользователями Piwigo.<br><br>
+При активации данной функции email с подтверждением регистрации отправляется каждому пользователю, созданному Администратором.<br><br>
+При отключенной функции (т.е. по умолчанию) направляется только информационный email (если включено &quot;Информационное эл.письмо пользователю&quot;). Дополнительно, созданный пользователь может быть <b>рассмотрен и подтвержден</b> по умолчанию.';
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>ВНИМАНИЕ: Для использования подтверждения групп требуется, чтобы была создана хотя бы одна группа пользователей и определена &quot;по умолчанию&quot; в разделе Управления группами пользователей Piwigo.</b><br><br>
+Подтверждение групп применяется совместно с функцией &quot;Подтверждение регистрации&quot;';
+$lang['UAM_CustomPasswRetrTitle_d'] = 'По умолчанию, в случае утраты своего пароля, пользователь (при использовании функции восстановления) получает email, содержащий только имя пользователя и его новый пароль.
+<br><br>
+Здесь Вы можете добавить текст по своему выбору, который будет присоединен к письму <b><u>до</u></b> обычной/стандартной  информации.
+<br><br>
+Кроме того, Вы можете использовать для создания текста специальные встроенные тэги:<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> для вставки названия Вашей галереи.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> для вставки URL Вашей галереи, если это установлено в настройках Piwigo.
+<br><br>
+Для применения мультиязычного режима Вы можете использовать тэги плагина Extended description plugin (если он активирован, конечно).';
+$lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Здесь настраивается текст сообщения для информирования неподтвержденных пользователей, что им будет недоступен вход в галерею.
+<br><br>
+Это поле можно редактировать с применением плагина FCK Editor. Для мультиязычности Вы можете использовать тэг [lang] из плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_RejectConnexion_d'] = 'Если активировать эту функцию, то вновь зарегистрировавшиеся пользователи, не подтвердившие свою регистрацию, не смогут входить в галерею. Они будут перенаправляться на специальную страницу, которая сообщит им об отсутствии подтверждения регистрации.
+<br><br>
+<b style=&quot;color: red;&quot;>ВНИМАНИЕ. Эта опция работает только совместно с подтвержденными группами! См.ниже требования, установленные к группам.</b>';
+$lang['UAM_ConfirmMail_Subject_d'] = 'Здесь Вы можете настроить тему письма с подтверждением регистрации. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_ConfirmMail_ReMail_Subject_d'] = 'Здесь Вы можете настроить тему письма-напоминания о необходимости подтвердить регистрацию. Письмо может быть с новым сгенерированным ключом для подтверждения регистрации, а может быть и без ключа). <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_AdminValidationMail_d'] = 'Когда Администратор или Вебмастер галереи вручную подтверждают ожидающие регистрации, пользователям автоматически направляется email с уведомлением. Введите здесь желаемый Вами текст письма.
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_AdminValidationMail_Subject_d'] = 'Когда Администратор или Вебмастер галереи вручную подтверждают ожидающие регистрации, пользователям автоматически направляется email с уведомлением. Введите здесь желаемое Вами название темы письма.<br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTAutomail_Text_d'] = 'Введите собственный текст, который будет объяснять причины понижения, в дополнение к ссылке подтверждения. Ваш текст, конечно, не обязателен, но весьма желателен. На самом деле, вряд ли Ваш пользователь будет доволен, если получит письмо с одной только ссылкой, безо всяких пояснений с Вашей стороны. ;-)
+ <br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_remailtxt2Title_d'] = 'Введите вступительный текст, который будет отображаться в эп.письме с напоминанием, без генерации ключа подтверждения регистрации.
+<br><br>
+Если Вы оставите это поле пустым, что в письме у пользователя нечего не отобразится. Настоятельно советуем написать хоть несколько слов Вашему пользователю. (Обратите внимание, что текст, имеющийся в плагине, был введен для примера!).
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_remailtxt1Title_d'] = 'Введите вступительный текст, который будет отображаться в эп.письме с напоминанием, в дополнение к сгенерированному ключу подтверждения регистрации.
+<br><br>
+Если Вы оставите это поле пустым, что в письме пользователю придет только ссылка для регистрации. Настоятельно советуем написать хоть несколько слов Вашему пользователю. (Обратите внимание, что текст, имеющийся в плагине, был введен для примера!).
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_gttextTitle_d'] = 'Введите текст, который Вы хотите присоединить к письму с напоминанием, которое пригласит пользователя вернуться в Вашу галерею. Обратите внимание, что текст, имеющийся в плагине, был введен для примера!
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[days]</b> - для вставки максимального числа дней между двумя визитами пользователя.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_confirmtxtTitle_d'] = 'Введите вступительный текст, который будет отображаться в письме с подтверждением регистрации.
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> - для вставки количества дней, в течение которых можно успеть подтвердить регистрацию (должна быть включена функция &quot;Крайняя дата, ограничивающая подтверждение регистрации;&quot;).
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_infotxtTitle_d'] = 'Введите вступительный текст, который будет отображаться в информационном письме.
+<br><br>
+Вам доступны для использования следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> - для вставки URL-адреса Вашей галереи, если это определено в настройках конфигурации Piwigo.
+<br><br>
+
+Чтобы использовать возможность мультиязычности Вы можете применять тэги плагина Extended description (если этот плагин активирован, конечно).';
+$lang['UAM_MailInfo_Subject_d'] = 'Здесь Вы можете настроить тему информационного письма. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTReminder_Subject_d'] = 'Здесь Вы можете вручную настроить тему письма Ghost Tracker с напоминанием. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
+$lang['UAM_GTAutomail_Subject_d'] = 'Здесь Вы можете настроить тему письма Ghost Tracker с понижением статуса. <br>
+По умолчанию всё заполняется английским текстом, но Вы можете поменять язык. Для этого используйте языковой тэг [lang =?]. Для этого предварительно должен быть установлен плагин Extended Description.
+<br><br>
+Кроме того, доступны для использования (и без плагина Extended Description) следующие тэги:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> - для автоматической подстановки имени пользователя в те части письма, где Вам необходимо.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> - для вставки полного названия Вашей галереи в те части письма, где Вам необходимо.<br>';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/language/ru_RU/plugin.lang.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/language/ru_RU/plugin.lang.php	(revision 24213)
@@ -236,3 +236,103 @@
 $lang['UAM_Expired_Status'] = '<b>Статус</b> для истекшей регистрации пользователя <br>';
 $lang['UAM_GTAutomail_Text'] = 'Настройка текста электронного письма о снижении статуса';
+$lang['UAM_mail_exclusionlist_error'] = 'Внимание! Вы ввели новую строку (CR-LF) в начало списка исключений адресов email (показано красным цветом ниже). Хотя новая строка и не видна, она может повредить работу плагина.
+Пожалуйста, внесите вновь изменения в лист исключений, но не делайте это путем создания новой строки в начале списка. ';
+$lang['UAM_mail_exclusion_error'] = 'Функция Piwigo "Адрес email обязателен для всех пользователей" может быть отключена, в то время, когда в плагине UserAdvancedManager (UAM) включена функция "Исключенные почтовые домены". Эта комбинация нелогична и не поддерживается!<br><br>
+Пожалуйста, перезапустите функцию Piwigo "Адрес email обязателен для всех пользователей" после отключения в UAM функции  "Исключенные почтовые домены".<br><br>
+Примечание: Это сообщение исчезнет после того, как вы сделаете необходимые исправления и перезагрузите страницу администратора. ';
+$lang['UAM_Tips1_txt'] = '<ul>
+            <li>
+            Цель: сообщить посетителю, что регистрация еще ожидает одобрения. Для этого показывается персональный блок на главной странице и это сообщение, что регистрация не завершена.
+            <br><br>
+            <b>Выбрать: в стандартном состоянии "Гость" видит только публичные, открытие категории, без информационного сообщения.</b>
+            </li><br><br>
+            <li>
+Условия:<br>
+- Галерея со всеми или некоторыми частными (закрытыми) категориями видна только зарегистрированным пользователям<br>
+- Существуют, как минимум, две категории групп пользователей Piwigo: "Ожидающие", членам которой недоступны частные (закрытые) категории, и "Подтвержденные", члены которой видят частные (закрытые) категории<br>
+- Установлен плагин UAM<br>
+- Установлен плагин PWG Stuffs, для добавления спец.блока UAM<br>
+- Дополнительно (для поддержки мультиязычности) необходимо установить плагин Extended Description<br>
+            </li><br><br>
+            <li>
+Этапы:<br><br>
+A. В плагине UAM:
+              <ol>
+                <li>Включить подтверждение регистрации</li>
+                <li>Включить функции блока PWG Stuffs</li>
+                <li>Введите текст (для дополнительного разъяснения), который будет присоединен к письму для подтверждения регистрации.Если плагин Extended Description активирован, то можно использовать языковые тэги</li>
+                <li>Выберите группу "Ожидающие" для пользователей, которые не подтвердили свою регистрацию</li>
+                <li>Выберите группу "Подтвержденные" для пользователей, которые подтвердили свою регистрацию</li>
+                <li>Сохраните настройки плагина</li>
+              </ol>
+<br>
+B. В плагине PWG Stuffs :
+              <ol>
+                <li>Перейдите на вкладку "Добавить новый модуль"</li>
+                <li>Выберите "Модуль UAM"</li>
+                <li>Настройте модуль, укажите название (например, "Регистрации, ожидающие подтверждения") и его описание, и проверьте, чтобы в списке групп была доступна группа "Ожидающие"</li>
+                <li>Полное содержание модуля с информационным сообщением должно быть доступно неподтвержденным пользователям. В плагине UAM может быть использован переключатель языков, если включен плагин Extended Description</li>
+                <li>Проверьте "Отображение модуля на главной странице сайта"</li>
+                <li>Проверьте конфигурацию модуля</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Tips2_txt'] = '          <ul>
+            <li>
+Цель: информировать посетителей, что их регистрация ожидает подтверждения. Для этого выводится соответствующее сообщение на дополнительной странице, которая заменяет обычные страницы и появляется при каждом входе/соединении.
+            <br><br>
+Преимущество по сравнению с методом, использующим плагин PWG_Stuffs: позволяет формировать информацию и отображать ее немедленно, сразу же после регистрации посетителей.
+           </li><br><br>
+            <li>
+Условия: <br>
+- Галерея со всеми или некоторыми закрытыми категориями видна только зарегистрированным пользователям <br>
+- Существуют, как минимум, две категории групп пользователей Piwigo: "Ожидающие", членам которой недоступны частные (закрытые) категории, и "Подтвержденные", члены которой видят частные (закрытые) категории<br>
+- Установлен плагин UAM<br>
+- Установлен плагин Additional Pages для добавления и управления страницами галереи
+- Дополнительно (для поддержки мультиязычности) необходимо установить плагин Extended Description<br>
+            </li><br><br>
+            <li>
+Этапы:<br><br>
+A. В плагине UAM:
+              <ol>
+                <li>Включить подтверждение регистрации</li>
+                <li>Включить функции блока PWG Stuffs</li>
+                <li>Введите текст (для дополнительного разъяснения), который будет присоединен к письму для подтверждения регистрации.Если плагин Extended Description активирован, то можно использовать языковые тэги</li>
+                <li>Выберите группу "Ожидающие" для пользователей, которые не подтвердили свою регистрацию</li>
+                <li>Выберите группу "Подтвержденные" для пользователей, которые подтвердили свою регистрацию</li>
+                <li>Сохраните настройки плагина</li>
+              </ol>
+<br>
+В. В плагине Additional Pages:<br>
+ <b>ВНИМАНИЕ: Управление правами доступа для групп в Additional Pages должно быть включено (См. настройки плагина).</b>
+   <br>
+              <ol>
+                <li> Добавьте новую страницу со следующими параметрами (как минимум):</li>
+           <ul>
+                  <li>Название страницы: Дайте имя странице по Вашему желанию (например, "Неподтвержденная регистрация")</li>
+       <li>Установите эту страницу в качестве главной (домашней) страницы</li>
+                  <li>Разрешенные группы: отметьте связь с группой "Ожидающие", ранее созданной в плагинеUAM</li>
+         <li>Содержание: Впишите текст, который хотите довести до посетителей.</li>
+                </ul>
+                <br>
+                <li>И вот еще что! Только зарегистрировавшиеся посетители (с неподтвержденной регистрацией) смогут видеть эту дополнительную страницу.</li>
+              </ol>
+            </li>
+          </ul>';
+$lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Ошибка последовательности в выбранной конфигурации:
+<br><br>
+"Настройка мониторинга зарегистрированных пользователей и другие функции > Управление пользователями (Ghost Tracker) > Автоматическое управление пользователями > Автоматическая отправка email при смене группы/статуса" не может быть активировано, если вначале не было выбрано "Настройка подтверждения регистрации > Подтверждение регистрации - Подтверждается пользователем"
+<br><br>
+Для обеспечения согласованности функция "Автоматическая отправка email при смене группы/статуса" переведена в положение "Отключено".
+<br><br>';
+$lang['UAM_GhostTracker_Init'] = 'Если Вы включили данную функцию впервые, или после длительного перерыва, в который были зарегистрированы новые пользователи, то Вы должны перезапустить Ghost Tracker. Это действие выполняется только после активации или выполнения реактивации. Пожалуйста, для перезапуска кликните <u>один раз</u> по кнопке ниже.';
+$lang['UAM_No_reminder_for_your_account'] = 'Ваш собственный аккаунт администратора не является получателем напоминаний от GhostTracker';
+$lang['UAM_No_reminder_for_Guest'] = 'Аккаунт "Гость" не является получателем напоминаний от GhostTracker';
+$lang['UAM_No_reminder_for_Webmaster'] = 'Аккаунт вебмастера не является получателем напоминаний от GhostTracker';
+$lang['UAM_No_reminder_for_default_user'] = 'Аккаунт "по умолчанию" не является получателем напоминаний от GhostTracker';
+$lang['UAM_MailExclusion_No'] = 'Исключение почтовых доменов недоступно, т.к. не включена функция "Адрес email обязателен для всех пользователей"!';
+$lang['UAM_GTAutomail_Subject'] = 'Автоматическая настройка темы письма, понижающего статус';
+$lang['UAM_Confirm_grpstat_notice'] = 'Будьте внимательны: желательно использовать либо группы, либо подтвержденные статусы, но ни оба одновременно! Уровень доступа можно использовать и с группами, и со статусами.';
+$lang['UAM_GTReminder_Subject'] = 'Ручная настройка темы письма с напоминанием';
+$lang['UAM_Err_audit_advise'] = '<b>Чтобы новые правила начали действовать, Вы должны внести изменения.<br> Используйте утилиту управления базами данных для внесения изменений в аккаунты пользователей в таблице ###_USERS';
 ?>
Index: /extensions/UserAdvManager/branches/2.50/maintain.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.50/maintain.inc.php	(revision 24212)
+++ /extensions/UserAdvManager/branches/2.50/maintain.inc.php	(revision 24213)
@@ -69,5 +69,6 @@
     'GTAUTOMAIL_SUBJECT'          => l10n('UAM_Default_GTAutoMail_Subject'),
     'GTREMINDER_SUBJECT'          => l10n('UAM_Default_GTReminder_Subject'),
-    'ADMINVALIDATIONMAIL_SUBJECT' => l10n('UAM_Default_AdminValidationMail_Subject')
+    'ADMINVALIDATIONMAIL_SUBJECT' => l10n('UAM_Default_AdminValidationMail_Subject'),
+    'ADD_GALLERY_URL_TO_EMAILS'   => 'false'
   );
   
@@ -412,4 +413,11 @@
       upgrade_2410_2500();
     }
+
+    if (version_compare($conf['UserAdvManager_Version'], '2.50.11') < 0)
+    {
+    /* upgrade from version 2.50.x to 2.50.11 */
+    /* ************************************** */
+      upgrade_2500_25011();
+    }
   }
 
